Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "a13651d4-0940-411c-8935-ac80fc3c3ddd",
"reference": "INV845kv",
"status": "sent",
"placed_at": "2025-10-23T22:02:48.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "3774.00",
"amount_minor": 377400
},
"discount_total": {
"currency": "USD",
"amount": "269.00",
"amount_minor": 26900
},
"tax_total": {
"currency": "USD",
"amount": "206.00",
"amount_minor": 20600
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "3711.00",
"amount_minor": 371100
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"invoicable_id": "4538d276-3428-3c35-837d-d7f4f1ab8be8",
"invoicable_type": "order"
},
{
"uuid": "a13651d4-1a4d-4ae5-b715-b06849287976",
"reference": "INV292ep",
"status": "sent",
"placed_at": "2025-07-16T10:52:43.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "3665.00",
"amount_minor": 366500
},
"discount_total": {
"currency": "USD",
"amount": "876.00",
"amount_minor": 87600
},
"tax_total": {
"currency": "USD",
"amount": "885.00",
"amount_minor": 88500
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "3674.00",
"amount_minor": 367400
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"invoicable_id": "83de5562-bbb2-357b-95cd-2ff24f783d15",
"invoicable_type": "order"
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}List the current User’s Invoices.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
A comma-separated list of fields to sort. Multiple allowed. Prefix with - to sort descending.
placed_at "placed_at"
"4cdf32b8-47e2-4714-88b4-9ab307a097f9"
"order"
"4cdf32b8-47e2-4714-88b4-9ab307a097f9"
"paid"
"2023-10-07T12:16:27+00:00"
Show child attributes
[
{
"uuid": "a13651d4-0940-411c-8935-ac80fc3c3ddd",
"reference": "INV845kv",
"status": "sent",
"placed_at": "2025-10-23T22:02:48+00:00",
"sub_total": {
"currency": "USD",
"amount": "3774.00",
"amount_minor": 377400
},
"discount_total": {
"currency": "USD",
"amount": "269.00",
"amount_minor": 26900
},
"tax_total": {
"currency": "USD",
"amount": "206.00",
"amount_minor": 20600
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "3711.00",
"amount_minor": 371100
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"invoicable_id": "4538d276-3428-3c35-837d-d7f4f1ab8be8",
"invoicable_type": "order"
},
{
"uuid": "a13651d4-1a4d-4ae5-b715-b06849287976",
"reference": "INV292ep",
"status": "sent",
"placed_at": "2025-07-16T10:52:43+00:00",
"sub_total": {
"currency": "USD",
"amount": "3665.00",
"amount_minor": 366500
},
"discount_total": {
"currency": "USD",
"amount": "876.00",
"amount_minor": 87600
},
"tax_total": {
"currency": "USD",
"amount": "885.00",
"amount_minor": 88500
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "3674.00",
"amount_minor": 367400
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"invoicable_id": "83de5562-bbb2-357b-95cd-2ff24f783d15",
"invoicable_type": "order"
}
]
Show child attributes